Subject: [bitcoin-dev] Ordinal Inscription Size Limits

From: Robert Dickinson <[email-masked]>
Date: Fri, 27 Jan 2023 09:44:10 -0300

I'm curious what opinions exist and what actions might be taken by core
developers regarding storing unlimited amounts of NFT (or other?) content
as witness data (https://docs.ordinals.com/inscriptions.html). The ordinal
scheme is elegant and genius IMHO, but when I think about the future disk
use of all unpruned nodes, I question whether unlimited storage is wise to
allow for such use cases. Wouldn't it be better to find a way to impose a
size limit similar to OP_RETURN for such inscriptions?

I think it would be useful to link a sat to a deed or other legal construct
for proof of ownership in the real world, so that real property can be
transferred on the blockchain using ordinals, but storing the property
itself on the blockchain seems nonsensical to me.